## org.apache.ivy.core.resolve
Class RestartResolveProcess

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.ivy.core.resolve.ResolveProcessException
                      org.apache.ivy.core.resolve.RestartResolveProcess

All Implemented Interfaces:
  java.io.Serializable

    public class RestartResolveProcess

extends ResolveProcessException

This RuntimeException is used during the resolve process to ask the engine to restart the resolve process.

Users of this feature should be very careful to make sure they handle a termination condition, since the resolve engine itself won't check the same exception is not thrown ad libitum

See Also:
  Serialized Form

Constructor Summary
`RestartResolveProcess(java.lang.String message)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RestartResolveProcess

    public RestartResolveProcess(java.lang.String message)